out := _patch.d-link-dir-320-a1

.PHONY: image
image: $(out).target
	make image FILES=$(out) PROFILE=Broadcom-b43 PACKAGES='kmod-usb2 kmod-usb-ohci kmod-usb-storage kmod-fs-ext4 block-mount kmod-scsi-core -b43legacy-firmware -kmod-b43legacy -kmod-b43 -kmod-cfg80211 -kmod-mac80211 -hostapd-common -iw -wireless-regdb -wpad-mini'

$(out).target:
	$(shell mkdir -p $(out)/etc/board.d)
	cp target/linux/brcm47xx/base-files/etc/board.d/01_network $(out)/etc/board.d
	$(file > $(out)/etc/board.d/1,$(subst \\,\,$(p)))
	cd $(out)/etc/board.d && patch -lp0 < 1 && rm 1
	touch $@

define p :=
--- 01_network.orig     2018-10-02 10:50:16.477811644 +0300
+++ 01_network  2018-10-01 12:50:19.461816123 +0300
@@ -75,6 +75,11 @@
                        "0:lan" "1:lan" "2:lan" "3:lan" "4:wan" "5@eth0"
                ;;

+       "0x048e") # d-link dir-320 a1
+               ucidef_add_switch "switch0" \\
+                       "0:wan" "1:lan" "2:lan" "3:lan" "4:lan" "5@eth0"
+               ;;
+
        "0x042f" | \\
        "0x0472")
                # WL-500gP
endef
